Subject: Re: [PATCH 1/2] xdl_merge(): make XDL_MERGE_ZEALOUS output simpler

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Feb 2008 00:35:57 -0800

Johannes Schindelin <[email-masked]> writes:

> When a merge conflicts, there are often less than three common lines
> between two conflicting regions.
>
> Since a conflict takes up as many lines as are conflicting, plus three
> lines for the commit markers,  the output will be shorter (and thus,
> simpler) in this case, if the common lines will be merged into the
> conflicting regions.
>
> This patch merges up to three common lines into the conflicts.

I can give immediate positive feedback to this.

When I rebuilt "next" last night, I considered rebasing its
constituent branches while I was at it (I ended up not doing
that as I felt it was too much).

The tip of js/reflog-delete used to be at cb97cc9.  Rebasing
this on top of any recent master will give you unreadable
conflicts in t/t1410-reflog.sh, but with these two patches (but
the second one does not have chance to kick in for this
particular case) the result is quite obvious and much cleaner.